ghostscript-x_9.27~dfsg-2_amd64.deb


Advertisement

Description

ghostscript-x - interpreter for the PostScript language and for PDF - X11 support

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename ghostscript-x_9.27~dfsg-2_amd64.deb
Package name ghostscript-x
Package version 9.27~dfsg
Package release 2
Package architecture amd64
Package type deb
Category role::shared-lib text
Homepage https://www.ghostscript.com/
License -
Maintainer Debian Printing Team <debian-printing@lists.debian.org>
Download size 87.85 KB
Installed size 215.00 KB
GPL Ghostscript is used for PostScript/PDF preview and printing.
Usually as a back-end to a program such as ghostview, it can display
PostScript and PDF documents in an X11 environment.
This package contains the GPL Ghostscript output device for X11.

Alternatives

Package Version Architecture Repository
ghostscript-x_9.27~dfsg-2_i386.deb 9.27~dfsg i386 Debian Main
ghostscript-x - - -

Requires

Name Value
ghostscript = 9.27~dfsg-2
libc6 >= 2.14
libice6 >= 1:1.0.0
libsm6 -
libx11-6 -
libxext6 -
libxt6 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ghostscript-x_9.27~dfsg-2_amd64.deb
Source Package ghostscript

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ghostscript-x deb package:
    # sudo apt-get install ghostscript-x

Files

Path
/usr/lib/ghostscript/9.27/X11.so
/usr/share/doc/ghostscript-x/NEWS.Debian.gz
/usr/share/doc/ghostscript-x/changelog.Debian.gz
/usr/share/doc/ghostscript-x/copyright

Changelog

2019-04-20 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.27~dfsg-2) unstable; urgency=medium
* Add patch cherry-picked upstream
to fix regression resolving bounding box of font glyphs.
Closes: Bug#927429. Thanks to Kenshi Muto.
2019-04-04 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.27~dfsg-1) unstable; urgency=high
[ upstream ]
* New release.
Closes: Bug#925256, 925257 (CVE-2019-3835, CVE-2019-3838).
Thanks to Salvatore Bonaccorso.
* Set urgency=high, due to CVE fix.
[ Jonas Smedegaard ]
* Drop patches cherry-picked upstream now applied.
* Unfuzz patches.
* Build-depend versioned on libjbig2dec0-dev
(not unversioned on libjbig2dec-dev).
* Use dpkg-provided snippet
(not additional explicit dpkg-parsechangelog call)
to resolve when build is targeted experimental suite.
* Revert to again split ABI at ~ (not a)."
* Update copyright info: Extend coverage for main upstream author.
* Update testsuite to catch new error message.
* Update symbols:
+ 18 private symbols dropped.
+ 51 private symbols dropped.
2019-01-23 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.26a~dfsg-2) unstable; urgency=medium
* Update symbols: 1 private added.
* Add test to check that upstream bug 700317 is fixed,
and a smoketest to check commanline options.
Enable bugchecking and smoketest during build,
and smoketest as autopkgtest.
2019-01-23 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.26a~dfsg-1) unstable; urgency=high
[ upstream ]
* New security release.
(CVE-2019-6116).
* Set urgency=high, due to CVE fix.
[ Jonas Smedegaard ]
* Consult DEB_BUILD_OPTIONS (not bogusly DEB_BUILD_PROFILES)
to decide if build is a profile.
* Declare compliance with Debian Policy 4.3.0.
* New upstream version 9.26a~dfsg
* Update copyright info: Extend coverage of packaging.
2018-12-22 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.26~dfsg-2) unstable; urgency=high
* Add patches cherry-picked upstream
to fix segfault with certain PDFs with -dLastPage=1.
Closes: Bug#915832. Thanks to Salvatore Bonaccorso.
* Set urgency=high as this is fixes regression in 9.26~dfsg-1.
2018-11-21 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.26~dfsg-1) unstable; urgency=high
[ upstream ]
* New security and bugfix release.
[ Jonas Smedegaard ]
* Drop patches cherry-picked upstream now applied.
* Unfuzz patch 2009.
* Set urgency=high due to high potential for security fixes
(beyond those already included as cherry-picked patches).
* Update symbols: 12 private added.
2018-11-04 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.25~dfsg-7) unstable; urgency=medium
* drop obsolete preinst migrations.
* Quote variables in package helper update-gsfontmap.
* Fix typos in previous changelog entries.
* Disable parallel building.
Closes: Bug#912847. Thanks to Matthias Klose.
2018-11-02 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.25~dfsg-6) unstable; urgency=medium
* Add patch cherry-picked upstream
to fix cups get/put_params LeadingEdge logic.
Closes: Bug#912664. Thanks to Salvatore Bonaccorso.
2018-11-01 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.25~dfsg-5) unstable; urgency=medium
* Add patch cherry-picked upstream
to fix openjpeg segfault if size too large.
2018-10-19 - Jonas Smedegaard <dr@jones.dk>
ghostscript (9.25~dfsg-4) unstable; urgency=high
* Re-release with urgency=high, due to CVE fixes.

See Also

Package Description
ghostscript_9.27~dfsg-2_amd64.deb interpreter for the PostScript language and for PDF
ghostwriter_1.7.4-2_amd64.deb Distraction-free, themeable Markdown editor
ghp-import_0.5.5-1_all.deb Easily import docs to your gh-pages branch
giac-doc_1.4.9.69+dfsg1-2_all.deb Computer Algebra System - documentation
giada_0.15.2+ds1-2_amd64.deb Hardcore Loop Machine
giblib-dev_1.2.4-12_amd64.deb headers for giblib
giblib1_1.2.4-12_amd64.deb wrapper library for imlib2, and other stuff
giella-core_0.1.1~r129227+svn121148-2_all.deb GTCORE files for building Giellatekno language packages
giella-sme-dev_0.0.20150917~r121176-3_all.deb Giellatekno single language data for North Saami (dev extras)
giella-sme_0.0.20150917~r121176-3_all.deb Giellatekno single language data for North Saami
gif2apng_1.9+srconly-2_amd64.deb tool for converting animated GIF images to APNG format
giflib-tools_5.1.4-3_amd64.deb library for GIF images (utilities)
gifshuffle_2.0-1_amd64.deb Steganography program to gif images
gifsicle_1.91-5_amd64.deb Tool for manipulating GIF images
gifti-bin_1.0.9-3_amd64.deb tools shipped with the GIFTI library
Advertisement
Advertisement